diff -Nurd -x'*~' abiword-2.8.4.orig/abiword.sh abiword-2.8.4/abiword.sh
--- abiword-2.8.4.orig/abiword.sh	1969-12-31 19:00:00.000000000 -0500
+++ abiword-2.8.4/abiword.sh	2010-05-16 16:08:41.000000000 -0400
@@ -0,0 +1,14 @@
+#!/bin/sh
+# make symlinks in ~/.fonts for applettf .ttf files
+# if they are not already there.
+for file in @PREFIX@/lib/X11/fonts/applettf/*ttf; do
+    if [ ! -d ~/.fonts ]; then
+        mkdir ~/.fonts
+    fi
+    symlink=~/.fonts/`basename $file`
+    if [ -f $file ] && [ ! -L $symlink ] && [ ! -f $symlink ] ; then
+        ln -s $file $symlink
+    fi
+done
+# launch abiword
+exec @PREFIX@/bin/abiword.exe "$@"
diff -Nurd -x'*~' abiword-2.8.4.orig/configure abiword-2.8.4/configure
--- abiword-2.8.4.orig/configure	2010-04-14 17:50:56.000000000 -0400
+++ abiword-2.8.4/configure	2010-05-17 14:05:10.000000000 -0400
@@ -16598,10 +16598,10 @@
 { $as_echo "$as_me:$LINENO: checking for platform and toolkit" >&5
 $as_echo_n "checking for platform and toolkit... " >&6; }
 case ${host_os} in
-  *darwin*)
-    PLATFORM="unix"
-    TOOLKIT="cocoa"
-    ;;
+#  *darwin*)
+#    PLATFORM="unix"
+#    TOOLKIT="cocoa"
+#    ;;
   *mingw*)
     PLATFORM="win"
     TOOLKIT="win"
@@ -19036,13 +19036,13 @@
    test "$enable_dynamic" == "yes"; then
 	# link plugins to work around gcc visibility issue with
 	# derived classes in dlopened modules
-	PLUGIN_LIBS="$PLUGIN_LIBS "'-L${top_builddir}/src'" -labiword-$ABIWORD_SERIES"
+	PLUGIN_LIBS="$PLUGIN_LIBS "'${top_builddir}/src'"/libabiword-$ABIWORD_SERIES.la"
 elif test "$TOOLKIT" == "win"; then
 	PLUGIN_CFLAGS="$PLUGIN_CFLAGS "'-D_WIN32_IE=0x0501 -D_WIN32_WINNT=0x0500'
 	# link plugins to the executable so they can be loaded
 	PLUGIN_LIBS="$PLUGIN_LIBS "'-L${top_builddir}/src -labiword'
 elif test "$TOOLKIT" == "cocoa" ; then
-	PLUGIN_LIBS="$PLUGIN_LIBS "'-L${top_builddir}/src'" -labiword-$ABIWORD_SERIES"
+	PLUGIN_LIBS="$PLUGIN_LIBS "'${top_builddir}/src'"/libabiword-$ABIWORD_SERIES.la"
 fi
 
 
diff -Nurd -x'*~' abiword-2.8.4.orig/libabiword.pc.in abiword-2.8.4/libabiword.pc.in
--- abiword-2.8.4.orig/libabiword.pc.in	2010-04-14 17:50:18.000000000 -0400
+++ abiword-2.8.4/libabiword.pc.in	2010-05-17 23:57:21.000000000 -0400
@@ -9,6 +9,6 @@
 Name: abiword-@ABIWORD_SERIES@
 Description: AbiWord word processing library
 Version: @VERSION@
-Requires: @ABIWORD_REQUIRED_PKGS@
+Requires: glib-2.0 gobject-2.0 libgsf-1 gtk+-2.0
 Libs: -L${libdir} -labiword-@ABIWORD_SERIES@
 Cflags: -I${includedir}/abiword-@ABIWORD_SERIES@
diff -Nurd -x'*~' abiword-2.8.4.orig/src/Makefile.in abiword-2.8.4/src/Makefile.in
--- abiword-2.8.4.orig/src/Makefile.in	2010-04-14 17:51:20.000000000 -0400
+++ abiword-2.8.4/src/Makefile.in	2010-05-17 19:12:44.000000000 -0400
@@ -502,7 +502,7 @@
 
 libabiword_2_8_la_LDFLAGS = $(DEPS_LIBS) --no-undefined -avoid-version \
 	-export-dynamic $(am__append_6)
-libabiword_2_8_la_LIBADD = $(opt_libs) plugins/libplugins.la \
+libabiword_2_8_la_LIBADD_ltlibs = $(opt_libs) plugins/libplugins.la \
 	text/fmt/xp/libxp.la text/ptbl/xp/libxp.la \
 	wp/ap/$(TOOLKIT)/lib$(TOOLKIT).la wp/ap/xp/libxp.la \
 	wp/impexp/$(TOOLKIT)/lib$(TOOLKIT).la wp/impexp/xp/libxp.la \
@@ -511,6 +511,7 @@
 	af/util/$(PLATFORM)/lib$(PLATFORM).la af/util/xp/libxp.la \
 	af/ev/$(TOOLKIT)/lib$(TOOLKIT).la af/ev/xp/libxp.la \
 	$(am__append_7)
+libabiword_2_8_la_LIBADD = $(libabiword_2_8_la_LIBADD_ltlibs) $(PNG_LIBS) -L/usr/X11R6/lib -lX11
 
 # headers are GTK only.
 @TOOLKIT_GTK_TRUE@libabiword_2_8_includedir = @ABIWORD_HEADERSDIR@
@@ -520,7 +521,7 @@
 @TOOLKIT_GTK_TRUE@	af/xap/gtk/xap_UnixTableWidget.h
 
 libabiword_2_8_la_DEPENDENCIES = \
-	$(libabiword_2_8_la_LIBADD)
+	$(libabiword_2_8_la_LIBADD_ltlibs)
 
 libabiword_2_8_la_SOURCES = \
 	$(top_srcdir)/src/wp/main/xp/abi_ver.cpp \
diff -Nurd -x'*~' abiword-2.8.4.orig/src/af/ev/gtk/ev_UnixKeyboard.cpp abiword-2.8.4/src/af/ev/gtk/ev_UnixKeyboard.cpp
--- abiword-2.8.4.orig/src/af/ev/gtk/ev_UnixKeyboard.cpp	2010-04-14 17:50:11.000000000 -0400
+++ abiword-2.8.4/src/af/ev/gtk/ev_UnixKeyboard.cpp	2010-05-17 03:51:26.000000000 -0400
@@ -23,6 +23,7 @@
 #include <gdk/gdk.h>
 #include <gdk/gdkx.h>
 #include <gdk/gdkkeysyms.h>
+#include <X11/keysym.h>
 
 #include "ut_types.h"
 #include "ut_assert.h"
